Subject: Re: `git remote rename` does not work when `refs/remotes/server/HEAD` is unborn (when right after `git remote add -m`)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 28 Jul 2025 08:05:26 +0200

On Fri, Jul 25, 2025 at 07:13:08AM -0400, Jeff King wrote:
> On Fri, Jul 25, 2025 at 07:02:43AM -0400, Jeff King wrote:
> 
> > On Thu, Jul 24, 2025 at 03:03:27PM +0200, Patrick Steinhardt wrote:
> > 
> > > I've quickly hacked something together now, see the work-in-progress
> > > patch below. The patch does not yet handle reflogs, but that isn't too
> > > hard to implement.
> > > 
> > > And these changes indeed speed up things by quite a lot: instead of
> > > hours it now takes 7 seconds :) I'll polish this patch series and will
> > > likely send it in tomorrow.
> > 
> > Cool. I agree with all of the pain points you outlined, and the general
> > direction. There was one other sub-optimal thing I noticed, which was...
> 
> Oh, and I meant to say: I am very happy if you want to pick up this bug
> and fix it. In the original I mentioned also that the new
> remote.*.followRemoteHEAD=create logic was kicking in for an unborn
> branch. And I've verified that this is the case and am working on a fix.
> But I think the two are orthogonal and we can fix them independently.

I actually missed this one, so I'm happy to leave it to you. Thanks!

Patrick